org.apache.activemq.artemis.jms.client

## Class ActiveMQXASession

- java.lang.Object
- - org.apache.activemq.artemis.jms.client.ActiveMQSession
  - - org.apache.activemq.artemis.jms.client.ActiveMQXASession

- All Implemented Interfaces:
    AutoCloseable, Runnable, javax.jms.QueueSession, javax.jms.Session, javax.jms.TopicSession, javax.jms.XAQueueSession, javax.jms.XASession, javax.jms.XATopicSession

      public class ActiveMQXASession
      extends ActiveMQSession
      implements javax.jms.XAQueueSession, javax.jms.XATopicSession

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.jms.client.ActiveMQSession

      `TYPE_GENERIC_SESSION, TYPE_QUEUE_SESSION, TYPE_TOPIC_SESSION`

    - ### Fields inherited from interface javax.jms.Session

      `AUTO_ACKNOWLEDGE, CLIENT_ACKNOWLEDGE, DUPS_OK_ACKNOWLEDGE, SESSION_TRANSACTED`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ActiveMQXASession(ConnectionFactoryOptions options, ActiveMQConnection connection, boolean transacted, boolean xa, int ackMode, boolean cacheDestinations, boolean enable1xNaming, ClientSession session, int sessionType)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.activemq.artemis.jms.client.ActiveMQSession

      `ackAllConsumers, close, commit, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableConsumer, createDurableConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createPublisher, createQueue, createReceiver, createReceiver, createSender, createSharedConsumer, createSharedConsumer, createSharedDurableConsumer, createSharedDurableConsumer, createStreamMessage, createSubscriber, createSubscriber, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, deleteTemporaryQueue, deleteTemporaryTopic, getAcknowledgeMode, getConnection, getCoreSession, getDeserializationBlackList, getDeserializationWhiteList, getMessageListener, getQueueSession, getSession, getTopicSession, getTransacted, getXAResource, internalCreateQueue, internalCreateQueueCompatibility, internalCreateTopic, isEnable1xPrefixes, isRecoverCalled, isXA, recover, removeConsumer, rollback, run, setMessageListener, setRecoverCalled, start, stop, toString, unsubscribe`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.XAQueueSession

      `getQueueSession`

    - ### Methods inherited from interface javax.jms.XATopicSession

      `getTopicSession`

    - ### Methods inherited from interface javax.jms.XASession

      `commit, getSession, getTransacted, getXAResource, rollback`

    - ### Methods inherited from interface javax.jms.Session

      `close, createBrowser, createBrowser, createBytesMessage, createConsumer, createConsumer, createConsumer, createDurableConsumer, createDurableConsumer, createDurableSubscriber, createDurableSubscriber, createMapMessage, createMessage, createObjectMessage, createObjectMessage, createProducer, createQueue, createSharedConsumer, createSharedConsumer, createSharedDurableConsumer, createSharedDurableConsumer, createStreamMessage, createTemporaryQueue, createTemporaryTopic, createTextMessage, createTextMessage, createTopic, getAcknowledgeMode, getMessageListener, recover, run, setMessageListener, unsubscribe`

- - ### Constructor Detail

    - #### ActiveMQXASession

          protected ActiveMQXASession(ConnectionFactoryOptions options,
                                      ActiveMQConnection connection,
                                      boolean transacted,
                                      boolean xa,
                                      int ackMode,
                                      boolean cacheDestinations,
                                      boolean enable1xNaming,
                                      ClientSession session,
                                      int sessionType)

      Parameters:
        `connection` -
        `transacted` -
        `xa` -
        `ackMode` -
        `session` -
        `sessionType` -

Copyright © 2020 The Apache Software Foundation. All rights reserved.